# NSBDiagnosis Toolkit

A software suite automating the diagnostic steps from Sanger Trace Files (ABIFs) and FASTAs. Namely, this tool is (or will be) capable of:

- [ ] Improved consensus conflict resolution via a peak strength metric
- [ ] Automatic reporting on variations from a reference file
- [x] Automatic annotating based off pre-existing GenBank data from NCBI
- [x] Automatic pulling GenBank Data
- [x] Automatic querying of Institut Pasteur's MLST databases
- [x] Automatic export of spreadsheet file in the form of a CSV
- [x] User friendly, and automatable (Galaxy compatible) command-line interface
- [ ] Interactive Web UI